<?php
/**
 * VMSynthDashboard
 * @author Nordmograph <contact@nordmograph.com>
 * @link http://www.nordmograph.com
 * @license GNU/GPL v3
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
$show_table = $params->get('show_table', 1);
$show_chart = $params->get('show_chart', 1);
jimport('joomla.html.pane');
$pane   =& JPane::getInstance('tabs');

$currency_symbol 			= $main_currency[0];
$currency_positive_style	= $main_currency[1];
$currency_decimal_place 	= $main_currency[2];
$currency_decimal_symbol 	= $main_currency[3];
$currency_thousands 		= $main_currency[4];

$tabs = 0;
if($months_limit>=0)
	$tabs++;
if(count($orders)>0)
	$tabs++;
if(count($reviews)>0)
	$tabs++;
if(count($products)>0)
	$tabs++;
if(count($shoppers)>0)
	$tabs++;
//$assignRef( 'pane', $pane );

?>
<div style="width:100%;height:30px;background:url(modules/mod_vmsynthdashboard/img/header_bg.png) #c9def4;"><a href="index.php?option=com_virtuemart"><img src="components/com_virtuemart/assets/images/vm_logo.png" /></a>
</div>
<table cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
	<tr>
		<td width="20%" height="80" >
		 <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=orders"><img src="modules/mod_vmsynthdashboard/img/order_list.png" height="50" width="60"></a>
		  </div>
		  <div style="text-align:center;">
		  		<a href="index.php?option=com_virtuemart&view=orders"><?php echo JText::_( 'MOD_VMDASHBOARD_ORDERS' ); ?></a>
		  </div>
		</td>
        <td width="20%">
		 <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=ratings"><img src="modules/mod_vmsynthdashboard/img/reviews.png" height="50" width="60"></a>
		  </div>
		  <div style="text-align:center;">
		  		<a href="index.php?option=com_virtuemart&view=ratings"><?php echo JText::_( 'MOD_VMDASHBOARD_REVIEWS' ); ?></a>
		  </div>
	</td>
		<td width="20%">
		 <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=product"><img src="modules/mod_vmsynthdashboard/img/product_list.png" height="50" width="60"></a>
		  </div>
		  <div style="text-align:center;">
		  		<a href="index.php?option=com_virtuemart&view=product"><?php echo JText::_( 'MOD_VMDASHBOARD_PRODUCT_LIST' ); ?></a>
		  </div>
		</td>
		<td width="20%">
		 <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=user"><img src="modules/mod_vmsynthdashboard/img/users.png" height="50" width="60"></a>
		  </div>
		  <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=user"><?php echo JText::_( 'MOD_VMDASHBOARD_USERS' ); ?></a>
		  </div>
		</td>
		<td width="20%">
		 <div style="text-align:center;">
			<a href="index.php?option=com_virtuemart&view=config"><img src="modules/mod_vmsynthdashboard/img/configuration.png" height="50" width="60"></a>
		  </div>
		  <div style="text-align:center;">
		  		<a href="index.php?option=com_virtuemart&view=config"><?php echo JText::_( 'MOD_VMDASHBOARD_CONFIGURATION' ); ?></a>
		  </div>
	</td>
	</tr>

</table>

<?php 
if($tabs >0)
echo $pane->startPane("content-pane");

//echo 'ml: '.$months_limit;
if($months_limit>0){
	$doc 			= &JFactory::getDocument();
	$doc->addScript('https://www.google.com/jsapi');
		/*$chart_script = " google.load(\"visualization\", \"1\", {packages:[\"corechart\"]});
			   google.setOnLoadCallback(drawVisualization);
			   function drawVisualization() {
				var data = google.visualization.arrayToDataTable([ ";*/
																  
		$data = array();
		$data2 = array();
	
	echo $pane->startPanel(JText::_( 'MOD_VMDASHBOARD_MONTHLYSALES' ), "vmdashboard-panel-monthlysales" );
	/*$res = number_format((float)$current_month_total,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
	$search = array('{sign}', '{number}', '{symbol}');
	$replace = array('+', $res, $currency_symbol);
	$formatted_current_month_total = str_replace ($search,$replace,$currency_positive_style);
	echo JText::_( 'MOD_VMDASHBOARD_CURRENTMONTHTOTAL' ).' ('.date('F').'): '.$formatted_current_month_total;*/
	
	
	$table = '<table class="adminlist">';
	$table .= '<tr>';
		
	$table .= '<td  style="width:100px;"><strong>'.JText::_( 'MOD_VMDASHBOARD_MONTHSBACK' ).'</strong></td>';
	$table .= '<td ><strong>'.JText::_( 'MOD_VMDASHBOARD_YEARMONTH' ).'</strong></td>';
	$table .= '<td ><strong>'.JText::_( 'MOD_VMDASHBOARD_MONTHTOTALSALES' ).'</strong></td>';
	$table .= '<td ><strong>'.JText::_( 'MOD_VMDASHBOARD_MONTHTOTALORDERS' ).'</strong></td>';
		
	$table .= '</tr>';
	for($i = 0; $i <= ($months_limit-1) ;$i++){
		$monthsales_array = modVmSynthDashboardHelper::getXMonthSales($params, $i);
		$x_month_total		=	$x_month_total_chart	= $monthsales_array['x_month_total'];
		$orders_count = $monthsales_array['orders_count'];
		
		$res = number_format((float)$x_month_total,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
		$search = array('{sign}', '{number}', '{symbol}');
		$replace = array('+', $res, $currency_symbol);
		$formatted_x_month_total = str_replace ($search,$replace,$currency_positive_style);				
	
		
		$table .= '<tr>';
		
		$table .= '<td> #'.$i.'</td>';
		$table .= '<td>'.date('Y F', mktime(0, 0, 0, date("m")-$i , date("d"),   date("Y")) );
		if($i == 0)
			$table .= ' ('.JText::_( 'MOD_VMDASHBOARD_CURRENT' ).')';
		$table .= '</td>';
		$table .= '<td>'.$formatted_x_month_total.'</td>';
		
		$table .= '<td>'.$orders_count.'</td>';
		
		$table .= '</tr>';
		//$y.'-'.sprintf("%02d", $m)
		//date('y-m', mktime(0, 0, 0, date("m")-$i , date("d"),   date("Y")) )
		//	$data .= '[\''.$i.'\', \''.$formatted_x_month_total.'\' ,\'\'],';
			//$data .= '[\''.$i.'\', \''.$formatted_x_month_total.'\' ],';
			$formatted_x_month_total = str_replace(",",".",$formatted_x_month_total);
			//$data .= '[\'2\',\'3\',\'4\'],';
			//$data .= "['".date('Y-m', mktime(0, 0, 0, date("m")-$i , date("d"),   date("Y")) )."',".$x_month_total_chart."],";
			array_push ( $data , "['".date('Y F', mktime(0, 0, 0, date("m")-$i , date("d"),   date("Y")) )."' , ".$x_month_total_chart."] , ");
			array_push ($data2 , "['".date('Y F', mktime(0, 0, 0, date("m")-$i , date("d"),   date("Y")) )."' , ".$orders_count."] , ");
		
	}
	$table .= '</table>';
	 $data = array_reverse($data);
	 $data = implode('',$data);
	 
	 $data2 = array_reverse($data2);
	 $data2 = implode('',$data2);
	 
	$chart_script = " google.load(\"visualization\", \"1\", {packages:[\"corechart\"]});
		   google.setOnLoadCallback(drawVisualization);
		   function drawVisualization() {
			var data = google.visualization.arrayToDataTable([ ";										  
			$chart_script .= "['".JText::_('MOD_VMDASHBOARD_MONTHS')."', '".JText::_('MOD_VMDASHBOARD_SALES')."'],";
		
			  $chart_script .= $data."
			
			]);
			options = {
			  title: '".JText::_('MOD_VMDASHBOARD_SALES')."',
			
			  vAxis: {title: '".JText::_('MOD_VMDASHBOARD_SALES')."'}, ";
		
			 $chart_script .= " hAxis: {title: '".JText::_( 'MOD_VMDASHBOARD_MONTHS' )." ".$total_revenue." '},";
			 
			  $chart_script .= " seriesType: 'bars',
			  series: {1: {type: 'line'} }
			};
			var chart = new google.visualization.ComboChart(document.getElementById('saleschart_div'));
			chart.draw(data, options);
		  }
		 
		";
		if($show_chart)
			$doc->addScriptDeclaration($chart_script);
	
	
	$chart_script2 = "
	google.setOnLoadCallback(drawVisualization2);
		   function drawVisualization2() {
			var data2 = google.visualization.arrayToDataTable([ ";										  
			$chart_script2 .= "['".JText::_('MOD_VMDASHBOARD_MONTHS')."',  '".JText::_('MOD_VMDASHBOARD_ORDERS')."'],";
		
			  $chart_script2 .= $data2."
			
			]);
			options2 = {
			  title: '".JText::_('MOD_VMDASHBOARD_ORDERS')."',
			
			  vAxis: {title: '".JText::_('MOD_VMDASHBOARD_ORDERS')."'}, ";
		
			 $chart_script2 .= " hAxis: {title: '".JText::_( 'MOD_VMDASHBOARD_MONTHS' )." ".$total_revenue." '},
			  colors:['pink'],";
			 
			  $chart_script2 .= " seriesType: 'bars',
			  series: {1: {type: 'line'} }
			};
			var chart2 = new google.visualization.ComboChart(document.getElementById('orderschart_div'));
			chart2.draw(data2, options2);
		  }
		 
		";
	if($show_chart)
		$doc->addScriptDeclaration($chart_script2);
	
	
	echo '<div id="saleschart_div" ></div>';
	echo '<div id="orderschart_div" ></div>';
	
	echo '<div style="clear:both" > </div>';
	
	if ($show_table)
		echo $table;




	
	/*
	$res = number_format((float)$m2_total,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
	$search = array('{sign}', '{number}', '{symbol}');
	$replace = array('+', $res, $currency_symbol);
	$formatted_m2_total = str_replace ($search,$replace,$currency_positive_style);				
	echo '<br />'.JText::_( 'MOD_VMDASHBOARD_M-2TOTAL' ).' ('.date('F', mktime(0, 0, 0, date("m")-2, date("d"),   date("Y")) ).'): '.$formatted_m2_total;
	
	$res = number_format((float)$m3_total,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
	$search = array('{sign}', '{number}', '{symbol}');
	$replace = array('+', $res, $currency_symbol);
	$formatted_m3_total = str_replace ($search,$replace,$currency_positive_style);				
	echo '<br />'.JText::_( 'MOD_VMDASHBOARD_M-3TOTAL' ).' ('.date('F', mktime(0, 0, 0, date("m")-3, date("d"),   date("Y")) ).'): '.$formatted_m3_total;*/
	
	
	
	echo $pane->endPanel();

}


if(count($orders)>0){

echo $pane->startPanel(JText::_( 'MOD_VMDASHBOARD_LATEST_ORDERS' ), "vmdashboard-panel-orders" );
?>
	<table class="adminlist">
		<tr>
			<td width="5%"  style="text-align:center;margin:0px 10px;">
				<strong><?php echo '#'; ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_ORDER' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_NAME' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_STATUS' ); ?></strong>
			</td>
			<td style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_TOTAL' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_ORDER_DATE' ); ?></strong>
			</td>
		</tr>
	
	<tbody>
	<?php
	$i		= 1;
		foreach ($orders as $row) :

			$order_id_link 	= 'index.php?option=com_virtuemart&view=orders&task=edit&virtuemart_order_id='.$row->virtuemart_order_id ;
            $order_name_link  = 'index.php?option=com_virtuemart&view=user&task=edit&virtuemart_user_id[]='.$row->virtuemart_user_id;
     ?>
			<tr>
				<td width="5%" style="text-align:center;margin:0px 10px;">
					<?php echo  $i ; ?>
				</td>
				<td style="text-align:center;margin:0px 10px;">
					<a href ="<?php echo $order_id_link; ?>"><?php echo  $row->order_number;?></a>
				</td>
				<td style="text-align:center;margin:0px 10px;">
					<a href = "<?php echo $order_name_link; ?>" ><?php  echo $row->custname; ?></a>
				</td>
				<td style="text-align:center;margin:0px 10px;">
					<a href = "<?php echo $order_name_link; ?>" ><?php  echo $row->order_status_name; ?></a>
				</td>
				<td style="text-align:center;margin:0px 10px;">
				<?php 
				$res = number_format((float)$row->order_total,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
				$search = array('{sign}', '{number}', '{symbol}');
				$replace = array('+', $res, $currency_symbol);
				echo $formattedRounded_price = str_replace ($search,$replace,$currency_positive_style);
			?>
				</td>
				<td style="text-align:center;margin:0px 10px;">
				<?php echo  $row->created_on ; ?>
				</td>

			</tr>
			
			<?php
			$i++;
		endforeach;
		?>
		</tbody>
	</table>
    <?php 
echo $pane->endPanel();


}

if(count($reviews)>0){
$unpublished_reviews_count = 0;
foreach ($reviews as $review){
	if($review->published=='0')
		$unpublished_reviews_count++;
}

$review_title = JText::_( 'MOD_VMDASHBOARD_LATEST_REVIEWS' );
if ($unpublished_reviews_count>0)
	$review_title .= ' <font color="orange" class="hasTip" title="'.JText::_( 'MOD_VMDASHBOARD_UNPUBLISHED_REVIEWS' ).'"><strong>('.$unpublished_reviews_count.')</strong></font>';


echo $pane->startPanel($review_title, "vmdashboard-panel-reviews" );
?>
	<table class="adminlist">
		<tr>
			<td width="5%"  style="text-align:center;margin:0px 10px;">
				<strong><?php echo '#'; ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_REVIEW_DATE' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_REVIEW_PRODUCT' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_REVIEW' ); ?></strong>
			</td>
			<td style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_RATING' ); ?></strong>
			</td>
            <td style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_SHOPPER' ); ?></strong>
			</td>
			
		</tr>
	
	<tbody>
	<?php
	$j		= 1;
		foreach ($reviews as $review) :

			$review_id_link 	= 'index.php?option=com_virtuemart&view=ratings&task=edit_review&virtuemart_rating_review_id='.$review->virtuemart_rating_review_id ;
            $shopper_link  = 'index.php?option=com_virtuemart&view=user&task=edit&virtuemart_user_id[]='.$review->created_by;
			$product_link = 'index.php?option=com_virtuemart&view=product&task=edit&virtuemart_product_id='.$review->virtuemart_product_id.'&product_parent_id=0';
     ?>
			<tr>
				<td width="5%" style="text-align:center;margin:0px 10px;">
					<?php 
					$color='green';if ($review->published=='0')
						$color ='red';
					
					echo '<font color="'.$color.'"><strong>'.$j.'</strong></font>'; 

					
					?>
				</td>
				<td style="margin:0px 10px;">
					<?php echo  $review->created_on;?>
				</td>
				<td style="margin:0px 10px;">
					<a href = "<?php echo $product_link; ?>" ><?php  echo $review->product_name; ?></a>
				</td>
				<td style="margin:0px 10px;">
					<a href = "<?php echo $review_id_link; ?>" ><?php  echo $review->comment; ?></a>
				</td>
				<td style="text-align:center;margin:0px 10px;">
				<?php 
				echo $review->review_rates / $review->review_ratingcount.'/5'
			?>
				</td>
                <td style="text-align:center;margin:0px 10px;">
				<?php 
				echo '<a href="'.$shopper_link.'" >'.$review->name.'</a>'
			?>
				</td>

			</tr>
			
			<?php
			$j++;
		endforeach;
		?>
		</tbody>
	</table>
    <?php
echo $pane->endPanel();

}









if(count($products)>0){
echo $pane->startPanel( JText::_( 'MOD_VMDASHBOARD_LATEST_PRODUCTS' ) , "vmdashboard-panel-products" );
?>
	<table class="adminlist">
		<tr>
			<td width="5%"  style="text-align:center;margin:0px 10px;">
				<strong><?php echo  JText::_( 'MOD_VMDASHBOARD_PRODUCTID' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_PRODUCTSKU' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_PRODUCTPRICE' ); ?></strong>
			</td>
			<td  style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_PRODUCTNAME' ); ?></strong>
			</td>
			<td style="text-align:center;margin:0px 10px;">
				<strong><?php echo JText::_( 'MOD_VMDASHBOARD_PRODUCTCAT' ); ?></strong>
			</td>

			
		</tr>
	
	<tbody>
	<?php
	$j		= 1;
		foreach ($products as $product) :
			$product_link = 'index.php?option=com_virtuemart&view=product&task=edit&virtuemart_product_id='.$product->virtuemart_product_id.'&product_parent_id=0';
			$category_link = 'index.php?option=com_virtuemart&view=category&task=edit&cid='.$product->virtuemart_category_id;
     ?>
			<tr>
				<td width="5%" style="text-align:center;margin:0px 10px;">
					<?php 
					$color='green';if ($product->published=='0')
						$color ='red';
					
					echo '<font color="'.$color.'"><strong>'.$product->virtuemart_product_id.'</strong></font>'; 

					
					?>
				</td>
				<td style="text-align:center;margin:0px 10px;">
					<?php echo  $product->product_sku;?>
				</td>
                <td style="text-align:center;margin:0px 10px;">
					<?php 
					$res = number_format((float) $product->product_price ,$currency_decimal_place,$currency_decimal_symbol,$currency_thousands);
				$search = array('{sign}', '{number}', '{symbol}');
				$replace = array('+', $res, $currency_symbol);
				$formattedRounded_price = str_replace ($search,$replace,$currency_positive_style);
				
				echo  $formattedRounded_price ;?>
				</td>
				<td style="margin:0px 10px;">
					<a href = "<?php echo $product_link; ?>" ><?php  echo $product->product_name; ?></a>
				</td>
				<td style="margin:0px 10px;">
					<a href = "<?php echo $category_link; ?>" ><?php  echo $product->category_name; ?></a>
				</td>

			</tr>
			
			<?php
			$j++;
		endforeach;
		?>
		</tbody>
	</table>
    <?php
echo $pane->endPanel();

}













if(count($shoppers)>0){
	echo $pane->startPanel( JText::_( 'MOD_VMDASHBOARD_LATEST_SHOPPERS' ) , "vmdashboard-panel-shoppers" );
	?>
		<table class="adminlist">
			<tr>
				<td width="5%"  style="text-align:center;margin:0px 10px;">
					<strong><?php echo  JText::_( 'MOD_VMDASHBOARD_USER_ID' ); ?></strong>
				</td>
				<td  style="text-align:center;margin:0px 10px;">
					<strong><?php echo JText::_( 'MOD_VMDASHBOARD_USER_NAME' ); ?></strong>
				</td>
				<td  style="text-align:center;margin:0px 10px;">
					<strong><?php echo JText::_( 'MOD_VMDASHBOARD_USER_USERNAME' ); ?></strong>
				</td>
				<td style="text-align:center;margin:0px 10px;">
					<strong><?php echo JText::_( 'MOD_VMDASHBOARD_USER_REGISTEREDDATE' ); ?></strong>
				</td>			
			</tr>
		
		<tbody>
		<?php
		$j		= 1;
			foreach ($shoppers as $shopper) :
				$shopper_link = 'http://www.nordmograph.com/administrator/index.php?option=com_virtuemart&view=user&task=edit&virtuemart_user_id[]='.$shopper->virtuemart_user_id;
				
		 ?>
				<tr>
					<td width="5%" style="text-align:center;margin:0px 10px;">
						<?php 
						$color='green';
						if ($shopper->block=='1')
							$color ='red';
						
						echo '<font color="'.$color.'"><strong>'.$shopper->virtuemart_user_id.'</strong></font>'; 
	
						
						?>
					</td>
					<td style="text-align:center;margin:0px 10px;">
						<a href = "<?php echo $shopper_link; ?>" ><?php echo  $shopper->name ;?></a>
					</td>
					<td style="text-align:center;margin:0px 10px;">
						<a href = "<?php echo $shopper_link; ?>" ><?php echo  $shopper->username ;?></a>
					</td>
					<td style="margin:0px 10px;">
						<?php  echo $shopper->created_on; ?>
					</td>
					
	
				</tr>
				
				<?php
				$j++;
			endforeach;
			?>
			</tbody>
		</table>
		<?php
	echo $pane->endPanel();
}
if($tabs >0)
	echo $pane->endPane();
	
	

		
?>
<div style="clear:both;"></div>
<table>
<tr>
		<td >
			<div style="width:400px;text-align:center;">
           <a href="index.php?option=com_modules&task=module.edit&id=<?php echo $module->id; ?>">Module settings</a> - <a href="http://www.nordmograph.com/index.php?option=com_virtuemart&view=category&virtuemart_category_id=4&Itemid=58">More Virtuemart extensions</a> - <a href="http://www.nordmograph.com/index.php?option=com_kunena&view=category&catid=92&Itemid=108" target="_blank">Support Forum</a><br />
             This is a free and usefull Joomla module by Nordmograph.com. <br /><a href="http://extensions.joomla.org/extensions/extension-specific/virtuemart-extensions/virtuemart-stats/22279" target="_blank" >Review this extension at JED</a>
             <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="QJTXSUW6T2E8A">
<input style="border: 0px" type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1"  >
</form>
		</td>
	</tr>
</table>


